Summary:	Does copy data from one file or block device to another
Name:		dd_rescue
Version:	1.99.13
Release:	%mkrel 1
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://www.garloff.de/kurt/linux/ddrescue/
Source0:	http://www.garloff.de/kurt/linux/ddrescue/%{name}-%{version}.tar.xz

%description
Like dd, dd_rescue does copy data from one file or block device to another.
You can specify file positions (called seek and Skip in dd). There are several
differences:
  o dd_rescue does not provide character conversions.
  o The command syntax is different. Call dd_rescue -h.
  o dd_rescue does not abort on errors on the input file, unless you specify a
    maximum error number. Then dd_rescue will abort when this number is reached
  o dd_rescue does not truncate the output file, unless asked to.
  o You can tell dd_rescue to start from the end of a file and move backwards.
  o It uses two block sizes, a large (soft) block size and a small (hard) block
    size. In case of errors, the size falls back to the small one and is
    promoted again after a while without errors.

%prep
%setup -q
%apply_patches

%build
./autogen.sh
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install INSTASROOT="" INSTALLFLAGS=""

%files
%{_bindir}/%{name}
%{_libdir}/libddr_*.so
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/ddr_lzo.1*
%{_mandir}/man1/ddr_crypt.1*


%changelog
* Sat Mar 25 2023 tex - 1.99.13-1pclos2023
- new version

* Sat Nov 12 2022 tex - 1.99.12-1pclos2022
- new version
